import 'models/socket.dart';

abstract class BaseSocket {
  Future<bool> connect();
  Future<bool> disconnect();
  Future<void> subscribe(String channel);
  Future<void> unsubscribe(String channel);
  Stream<SocketData> get stream;
  Stream<SocketEvent> get eventStream;
  SocketState get connectedState;
}

enum SocketState { Off, Connected, Connecting }
